# Transformer13 (ARX Developer Documentation)

org.deidentifier.arx.framework.check.transformer

## Class Transformer13

- java.lang.Object
- - org.deidentifier.arx.framework.check.transformer.AbstractTransformer
  - - org.deidentifier.arx.framework.check.transformer.Transformer13

- All Implemented Interfaces:
    java.util.concurrent.Callable<HashGroupify>

      public class Transformer13
      extends AbstractTransformer

  The class Transformer13.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.framework.check.transformer.AbstractTransformer

      `AbstractTransformer.GroupifyCounter, AbstractTransformer.GroupifyCounterDistribution, AbstractTransformer.GroupifyCounterSecondaryCounter, AbstractTransformer.GroupifyCounterSecondaryCounterDistribution, AbstractTransformer.GroupifyDistribution, AbstractTransformer.IGroupify`

  - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.framework.check.transformer.AbstractTransformer

      `bucket, buffer, columnIndexArray, columnMapArray, config, data, delegate, dictionarySensFreq, dictionarySensValue, dimensions, element, generalization, generalizationindex0, generalizationindex1, generalizationindex10, generalizationindex11, generalizationindex12, generalizationindex13, generalizationindex14, generalizationindex2, generalizationindex3, generalizationindex4, generalizationindex5, generalizationindex6, generalizationindex7, generalizationindex8, generalizationindex9, generalizationIndexArray, groupifyArray, hierarchies, idindex0, idindex1, idindex10, idindex11, idindex12, idindex13, idindex14, idindex2, idindex3, idindex4, idindex5, idindex6, idindex7, idindex8, idindex9, index0, index1, index10, index11, index12, index13, index14, index2, index3, index4, index5, index6, index7, index8, index9, intuple, map, otherData, outindex0, outindex1, outindex10, outindex11, outindex12, outindex13, outindex14, outindex2, outindex3, outindex4, outindex5, outindex6, outindex7, outindex8, outindex9, outtuple, snapshot, ssStepWidth, startIndex, stopIndex, transition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transformer13(int[][] data, GeneralizationHierarchy[] hierarchies, int[][] otherValues, IntArrayDictionary dictionarySensValue, IntArrayDictionary dictionarySensFreq, ARXConfiguration.ARXConfigurationInternal config)` Instantiates a new transformer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processAll()` Process complete input dataset.
    `protected void` | `processGroupify()` Process groupify.
    `protected void` | `processSnapshot()` Process snapshot.

    - ### Methods inherited from class org.deidentifier.arx.framework.check.transformer.AbstractTransformer

      `call, init, updateOutIndices`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transformer13

          public Transformer13(int[][] data,
                       GeneralizationHierarchy[] hierarchies,
                       int[][] otherValues,
                       IntArrayDictionary dictionarySensValue,
                       IntArrayDictionary dictionarySensFreq,
                       ARXConfiguration.ARXConfigurationInternal config)

      Instantiates a new transformer.
      Parameters:
        `data` - the data
        `hierarchies` - the hierarchies
        `otherValues` -
        `dictionarySensValue` -
        `dictionarySensFreq` -
        `config` -

  - ### Method Detail

    - #### processAll

          protected void processAll()

      Description copied from class: `AbstractTransformer`
      Process complete input dataset.
      Specified by:
        `processAll` in class `AbstractTransformer`

    - #### processGroupify

          protected void processGroupify()

      Description copied from class: `AbstractTransformer`
      Process groupify.
      Specified by:
        `processGroupify` in class `AbstractTransformer`

    - #### processSnapshot

          protected void processSnapshot()

      Description copied from class: `AbstractTransformer`
      Process snapshot.
      Specified by:
        `processSnapshot` in class `AbstractTransformer`